
#ifndef __COMMON_H
#define __COMMON_H

/* variables */
extern char version_string[];
extern unsigned char background_r, background_g, background_b;

/* functions */
void common_copy_data_to_view(unsigned char *in, unsigned char *out, int dx, int dy, int zoom, int mode);
void common_copy_pixel_to_view(unsigned char *in, unsigned char *out, int dx, int dy, int x, int y, int zoom, int mode);
void common_copy_block_to_view(unsigned char *in, unsigned char *out, int dx, int dy, int zoom, int mode, int ax, int ay, int mx, int my);

void common_gtk_exit(GtkWidget *widget, gpointer data);
gint common_gtk_hide_widget(GtkWidget *widget, gpointer data);

int common_reformat_image(int *dx, int *dy, int *bpp, unsigned char **d);
int common_copy_image(unsigned char *out, int ox, int oy, unsigned char *in, int ix, int iy);
int common_scale(int i, int view_mode, int odx, int ody, unsigned char *data);

int common_get_path(char *filename, char *path);
#endif
