
#ifndef _TILED_H
#define _TILED_H

/* variables */
extern GtkItemFactory *tiled_item_factory;
extern GtkWidget *tiled_window;

/* tiled view status */
extern int tiled_view_status;
extern int tiled_view_mode;
extern int tiled_zoom;
extern int tiled_dx, tiled_dy;
extern int tiled_real_time;
extern int tiled_tiles_dx, tiled_tiles_dy;
extern unsigned char *tiled_data, *tiled_view;

/* functions */
int tiled_window_init(void);
int tiled_window_refresh(void);
int tiled_window_import_data(void);

void tiled_resize_data(int dx, int dy);
void tiled_resize_view(int zoom);

#endif
